/**
 * IF_001 部件模型
 *
 * @export
 * @class IF_001Model
 */
export default class IF_001Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof IF_001Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'hrpostid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'hrpostname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'postcode',
        prop: 'postcode',
        dataType: 'TEXT',
      },
      {
        name: 'hrpostname',
        prop: 'hrpostname',
        dataType: 'TEXT',
      },
      {
        name: 'hrdutyname',
        prop: 'hrdutyname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'posttype',
        prop: 'posttype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'hrorganizationname',
        prop: 'hrorganizationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'activeflag',
        prop: 'activeflag',
        dataType: 'YESNO',
      },
      {
        name: 'postnum',
        prop: 'postnum',
        dataType: 'BIGINT',
      },
      {
        name: 'entrytime',
        prop: 'entrytime',
        dataType: 'DATE',
      },
      {
        name: 'hrpostid',
        prop: 'hrpostid',
        dataType: 'GUID',
      },
      {
        name: 'hrpost',
        prop: 'hrpostid',
        dataType: 'FONTKEY',
      },
    ]
  }

}